Package org.bukkit.conversations

# Class ManuallyAbandonedConversationCanceller

java.lang.Object
org.bukkit.conversations.ManuallyAbandonedConversationCanceller

All Implemented Interfaces:
  `Cloneable`, `ConversationCanceller`

public class ManuallyAbandonedConversationCanceller extends Object implements ConversationCanceller
The ManuallyAbandonedConversationCanceller is only used as part of a `ConversationAbandonedEvent` to indicate that the conversation was manually abandoned by programmatically calling the abandon() method on it.

## Constructor Summary

Constructors
Constructor
Description
`ManuallyAbandonedConversationCanceller()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`cancelBasedOnInput(@NotNull ConversationContext context, @NotNull String input)`
Cancels a conversation based on user input.
`@NotNull ConversationCanceller`
`clone()`
Allows the `ConversationFactory` to duplicate this ConversationCanceller when creating a new `Conversation`.
`void`
`setConversation(@NotNull Conversation conversation)`
Sets the conversation this ConversationCanceller can optionally cancel.

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ManuallyAbandonedConversationCanceller

public ManuallyAbandonedConversationCanceller()

## Method Details

### setConversation

public void setConversation(@NotNull @NotNull Conversation conversation)
Description copied from interface: `ConversationCanceller`
Sets the conversation this ConversationCanceller can optionally cancel.

Specified by:
  `setConversation` in interface `ConversationCanceller`
Parameters:
  `conversation` - A conversation.

### cancelBasedOnInput

public boolean cancelBasedOnInput(@NotNull @NotNull ConversationContext context, @NotNull @NotNull String input)
Description copied from interface: `ConversationCanceller`
Cancels a conversation based on user input.

Specified by:
  `cancelBasedOnInput` in interface `ConversationCanceller`
Parameters:
  `context` - Context information about the conversation.
  `input` - The input text from the user.
Returns:
  True to cancel the conversation, False otherwise.

### clone

@NotNull public @NotNull ConversationCanceller clone()
Description copied from interface: `ConversationCanceller`
Allows the `ConversationFactory` to duplicate this ConversationCanceller when creating a new `Conversation`.

Implementing this method should reset any internal object state.

Specified by:
  `clone` in interface `ConversationCanceller`
Overrides:
  `clone` in class `Object`
Returns:
  A clone.